extends Node

@export var move_speed = 1.0
@export var tap_speed = 5.0
@export var scale_speed = 0.1


func move_to(location: Vector2, delta: float) -> void:
	var tween = create_tween()
	tween.tween_property(get_parent(), "position", location, delta * move_speed)


func tap(tapped: bool, delta: float) -> void:
	var tween = create_tween()
	var rotation = 90 if tapped else 0
	tween.tween_property(get_parent(), "rotation_degrees", rotation, delta * tap_speed)


func scale(scalar: float) -> void:
	var tween = create_tween()
	var new_scale = Vector2.ONE * scalar
	tween.tween_property(get_parent(), "scale", new_scale, scale_speed)
